Allows you to modify the ingredient to any of your inventory recipes or create custom ones.

Requirement: [BepInEx IL2CPP](https://thunderstore.io/c/sons-of-the-forest/p/BepInEx/BepInExPack_IL2CPP/)

# Installation:
1. Download BepInEx IL2CPP
2. Drag contents of BepInExPack from BepInEx.zip file into Sons of the Forest game directory (right click in steam > browse local files)
3. Open RecipeEditor.zip and drag the BepInEx folder into the game directory
4. Then recipes.json is pre-loaded with example JSON at your ./BepInEx/ directory.

# Recipe Editing:
- Open the items_list.txt from RecipeEditor.zip or you can find another update source for item IDs
- Find the Item Recipe ID you want to edit
- Follow the example JSON format provided with the mod

# Information:
- Book recipes are not supported yet
- If you create custom recipe with non-ingredient item, make sure you add it to the "ApplyCraft" list
- Not all custom created items will apply the Count amount, a workaround is to have lower requirements

# Example recipes.json:
(InvEdit - Bone Armour [494] requires 6 Bones [405])
(InvCustom - Create 1 9mmAmmo [363] requires 1 Money [496])
(ApplyCraft - Apply Crafting Ingredient Type to Money [496])

{
  "InvEdit": {
    "494": [
      {
        "ItemId": 405,
        "Count": 6
      }
    ]
  },
  "InvCustom": {
    "362": {
      "Count": 1,
      "Ingredients": [
        {
          "ItemId": 496,
          "Count": 1
        }
      ]
    }
  },
  "ApplyCraft": [
    496
  ]
}